#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kmahjongg
Summary:        A tile laying patience
Epoch:          1
Version: 25.03.90
Release:        %mkrel %{rel}
Group:          Games/Boards
License:        GPLv2 and LGPLv2 and GFDL
URL:            https://apps.kde.org/kmahjongg/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%name-%version.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Svg)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(KMahjongglib6)
BuildRequires:  cmake(KDEGames6)

Requires:       kmahjongglib

Recommends:     kmahjongg-handbook


%description
In KMahjongg the tiles are scrambled and staked on top of each other to resemble
a certain shape. The player is then expected to remove all the tiles off the
game board by locating each tile's matching pair.

%files -f %name.lang
%_kf6_categoriesdir/kmahjongg.*categories
%_kf6_bindir/kmahjongg
%_kf6_applicationsdir/*.desktop
%_kf6_datadir/kmahjongg
%_kf6_datadir/icons/hicolor/*/apps/kmahjongg.*
%_kf6_datadir/config.kcfg/kmahjongg.kcfg
%_kf6_metainfodir/org.kde.kmahjongg.appdata.xml

#------------------------------------------------------------------------------

%package -n kmahjongg-handbook
Summary:        kmahjongg handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kmahjongg >= %{epoch}:%{version}-%{release}

%description -n kmahjongg-handbook
This package provides the kmahjongg handbook.

%files -n kmahjongg-handbook
%_kf6_docdir/HTML/*/kmahjongg

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name


%changelog
* Sat Mar 29 2025 daviddavid <daviddavid> 1:25.03.90-1.mga10
+ Revision: 2170808
- New version 25.03.90

* Thu Mar 13 2025 daviddavid <daviddavid> 1:24.12.3-1.mga10
+ Revision: 2163517
- New version 24.12.3

* Tue Feb 11 2025 daviddavid <daviddavid> 1:24.12.2-1.mga10
+ Revision: 2147179
- New version 24.12.2

* Thu Jan 09 2025 daviddavid <daviddavid> 1:24.12.1-1.mga10
+ Revision: 2136580
- New version 24.12.1

* Thu Dec 12 2024 daviddavid <daviddavid> 1:24.12.0-1.mga10
+ Revision: 2123820
- New version 24.12.0

* Sun Nov 17 2024 daviddavid <daviddavid> 1:24.11.80-1.mga10
+ Revision: 2116377
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 1:24.08.3-1.mga10
+ Revision: 2114069
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 1:24.08.2-1.mga10
+ Revision: 2105568
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 1:24.08.1-1.mga10
+ Revision: 2097437
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 1:24.08.0-1.mga10
+ Revision: 2087629
- New version 24.08.0

* Sun Aug 11 2024 daviddavid <daviddavid> 1:24.07.90-1.mga10
+ Revision: 2085597
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 1:24.05.1-1.mga10
+ Revision: 2073233
- New version 24.05.1

* Wed Jun 05 2024 neoclust <neoclust> 1:24.05.0-1.mga10
+ Revision: 2069882
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 1:24.02.2-1.mga10
+ Revision: 2058638
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 1:24.02.0-1.mga10
+ Revision: 2045177
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 1:24.01.95-1.mga10
+ Revision: 2037675
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 1:24.01.90-1.mga10
+ Revision: 2033802
- New version 24.01.90

* Mon Jan 01 2024 neoclust <neoclust> 1:24.01.85-1.mga10
+ Revision: 2025175
- New version 24.01.85

* Sat Nov 18 2023 neoclust <neoclust> 1:24.01.75-1.mga10
+ Revision: 2007451
- New version 24.01.75

* Sat Sep 23 2023 neoclust <neoclust> 1:23.08.1-1.mga10
+ Revision: 1989621
- New version 23.08.1

* Fri May 26 2023 neoclust <neoclust> 1:23.04.1-1.mga9
+ Revision: 1958198
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 1:22.12.3-1.mga9
+ Revision: 1946510
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 1:22.12.2-1.mga9
+ Revision: 1941803
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 1:22.12.0-1.mga9
+ Revision: 1922924
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 1:22.11.90-1.mga9
+ Revision: 1911418
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 1:22.08.3-1.mga9
+ Revision: 1905270
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 1:22.08.1-1.mga9
+ Revision: 1886789
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 1:22.08.0-1.mga9
+ Revision: 1880775
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 1:22.04.3-1.mga9
+ Revision: 1873085
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 1:22.04.0-1.mga9
+ Revision: 1853978
- New version 22.04.0

* Thu Apr 14 2022 neoclust <neoclust> 1:22.03.90-1.mga9
+ Revision: 1849484
- New version 22.03.90

* Sun Dec 26 2021 neoclust <neoclust> 1:21.12.0-1.mga9
+ Revision: 1763869
- New version 21.12.0

* Tue Nov 30 2021 neoclust <neoclust> 1:21.11.90-1.mga9
+ Revision: 1759963
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 1:21.04.1-1.mga9
+ Revision: 1724077
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 1:21.04.0-1.mga9
+ Revision: 1718614
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 1:20.12.3-2.mga9
+ Revision: 1698562
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 1:20.12.2-1.mga9
+ Revision: 1694092
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 1:20.12.0-1.mga8
+ Revision: 1655623
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 1:20.08.3-1.mga8
+ Revision: 1644009
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 1:20.08.2-1.mga8
+ Revision: 1633825
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 1:20.08.1-1.mga8
+ Revision: 1627067
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 1:20.08.0-1.mga8
+ Revision: 1614936
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 1:20.04.3-1.mga8
+ Revision: 1604132
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 1:20.04.2-1.mga8
+ Revision: 1596865
- New version 20.04.2

* Sun May 17 2020 neoclust <neoclust> 1:20.04.1-1.mga8
+ Revision: 1584971
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 1:20.04.0-1.mga8
+ Revision: 1568146
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 1:19.12.3-1.mga8
+ Revision: 1559335
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 1:19.12.2-2.mga8
+ Revision: 1540111
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 1:19.12.2-1.mga8
+ Revision: 1513305
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 1:19.12.0-1.mga8
+ Revision: 1466960
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 1:19.08.3-1.mga8
+ Revision: 1457910
- New version 19.08.3

* Fri Sep 27 2019 neoclust <neoclust> 1:19.08.1-1.mga8
+ Revision: 1446838
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 1:19.04.3-1.mga8
+ Revision: 1425003
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 1:19.04.0-1.mga7
+ Revision: 1390458
- New version 19.04.0
- New version 19.04.00

* Thu Apr 11 2019 neoclust <neoclust> 1:19.03.90-1.mga7
+ Revision: 1388510
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 1:18.12.3-2.mga7
+ Revision: 1382629
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 1:18.12.3-1.mga7
+ Revision: 1375624
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 1:18.12.2-1.mga7
+ Revision: 1365581
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 1:18.12.1-1.mga7
+ Revision: 1356516
- New version 18.12.1

* Wed Dec 19 2018 neoclust <neoclust> 1:18.12.0-2.mga7
+ Revision: 1343056
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 1:18.08.3-1.mga7
+ Revision: 1332754
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 1:18.08.2-1.mga7
+ Revision: 1327408
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 1:18.04.1-2.mga7
+ Revision: 1298580
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 1:18.04.1-1.mga7
+ Revision: 1228997
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 1:17.12.2-1.mga7
+ Revision: 1201905
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 1:17.12.1-1.mga7
+ Revision: 1194927
- New version 17.12.1

* Sun Dec 31 2017 neoclust <neoclust> 1:17.12.0-1.mga7
+ Revision: 1188395
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 1:17.08.0-1.mga7
+ Revision: 1143056
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 1:17.07.90-1.mga7
+ Revision: 1136790
- New version 17.07.90

* Fri Jul 28 2017 neoclust <neoclust> 1:17.04.3-1.mga7
+ Revision: 1131888
- New version 17.04.3
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 1:16.12.3-1.mga6
+ Revision: 1090086
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 1:16.12.0-1.mga6
+ Revision: 1076826
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 1:16.11.90-1.mga6
+ Revision: 1072029
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 1:16.08.3-1.mga6
+ Revision: 1067348
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 1:16.08.2-1.mga6
+ Revision: 1061407
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 1:16.08.1-1.mga6
+ Revision: 1050673
- New version 16.08.1

* Fri Sep 02 2016 neoclust <neoclust> 1:16.08.0-2.mga6
+ Revision: 1049803
- Rebuild for armv7

* Sat Aug 20 2016 neoclust <neoclust> 1:16.08.0-1.mga6
+ Revision: 1047317
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 1:16.04.3-1.mga6
+ Revision: 1040074
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 1:16.04.1-1.mga6
+ Revision: 1012560
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 1:16.04.0-1.mga6
+ Revision: 1004350
- New version 16.04.0

* Sun Apr 03 2016 neoclust <neoclust> 1:16.03.80-1.mga6
+ Revision: 997941
- New version 16.03.80

* Sun Mar 20 2016 luigiwalser <luigiwalser> 1:15.12.3-1.mga6
+ Revision: 993255
- add libkdegames4-devel BR
- add missing BRs
+ neoclust <neoclust>
- New version 15.12.3
- New version 15.12.2
- New version 15.12.1
- New version 15.12.0
- New version 15.11.80
- New version 15.08.3
- New version 15.08.2
- New version 15.08.1
- New version 15.08.0
+ fwang <fwang>
- adopt to kf5

* Wed Dec 03 2014 lmenut <lmenut> 1:4.14.3-1.mga5
+ Revision: 800614
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 1:4.14.2-1.mga5
+ Revision: 787700
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 1:4.14.1-2.mga5
+ Revision: 746232
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 1:4.14.1-1.mga5
+ Revision: 734562
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 1:4.14.0-2.mga5
+ Revision: 681111
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 1:4.14.0-1.mga5
+ Revision: 667499
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 1:4.13.97-1.mga5
+ Revision: 663011
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 1:4.13.95-1.mga5
+ Revision: 656689
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 1:4.13.90-1.mga5
+ Revision: 653875
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 1:4.13.80-1.mga5
+ Revision: 651981
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 1:4.13.2-1.mga5
+ Revision: 636749
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 1:4.13.1-1.mga5
+ Revision: 625516
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 1:4.13.0-1.mga5
+ Revision: 615593
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 1:4.12.97-1.mga5
+ Revision: 609409
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 1:4.12.95-1.mga5
+ Revision: 606850
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Fri Mar 14 2014 neoclust <neoclust> 1:4.12.90-1.mga5
+ Revision: 603357
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 1:4.12.80-1.mga5
+ Revision: 600692
- New version 4.12.80
- New version 4.12.3
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 1:4.12.2-1.mga5
+ Revision: 590478
- New version 4.12.2
- Update tarball to KDE SC 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 1:4.11.4-1.mga4
+ Revision: 555009
- Update tarball to KDE SC 4.11.4
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 1:4.11.2-2.mga4
+ Revision: 540583
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 1:4.11.2-1.mga4
+ Revision: 490759
- Update tarball to KDE SC 4.11.2

* Sat Sep 28 2013 lmenut <lmenut> 1:4.11.1-2.mga4
+ Revision: 488636
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 09 2013 mikala <mikala> 1:4.11.1-1.mga4
+ Revision: 476849
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 1:4.11.0-1.mga4
+ Revision: 465290
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 1:4.10.97-1.mga4
+ Revision: 458927
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 1:4.10.95-1.mga4
+ Revision: 455313
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 1:4.10.90-1.mga4
+ Revision: 447962
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 1:4.10.4-1.mga4
+ Revision: 435321
- Update tarball to KDE SC 4.10.4

* Mon May 27 2013 mikala <mikala> 1:4.10.3-1.mga4
+ Revision: 428433
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 1:4.10.2-1.mga3
+ Revision: 407244
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 1:4.10.1-1.mga3
+ Revision: 401896
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 1:4.10.0-1.mga3
+ Revision: 394415
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 1:4.9.97-2.mga3
+ Revision: 356302
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 1:4.9.97-1.mga3
+ Revision: 339501
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 1:4.9.95-1.mga3
+ Revision: 334576
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 1:4.9.90-1.mga3
+ Revision: 326778
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Sun Nov 18 2012 mikala <mikala> 1:4.9.80-1.mga3
+ Revision: 319333
- imported package kmahjongg

